Skip to main content
`Ctrl`+`K`

# DMPlexGetCellTypeStratum

Get the range of cells of a given celltype

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCellTypeStratum(DM dm, DMPolytopeType ct, PeOp PetscInt *start, PeOp PetscInt *end)

## Input Parameters

- dm - The `DMPLEX` object

- ct - The `DMPolytopeType` of the cell

## Output Parameters

- start - The first cell of this type, or `NULL`

- end - The upper bound on this celltype, or `NULL`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexConstructGhostCells()`, `DMPlexGetDepthStratum()`, `DMPlexGetHeightStratum()`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages